Name:           layer-shell-qt5
Version:        5.27.11
Release:        %autorelease
Summary:        Library to easily use clients based on wlr-layer-shell
License:        BSD-3-Clause AND CC0-1.0 AND LGPL-3.0-or-later AND MIT
URL:            https://invent.kde.org/plasma/layer-shell-qt
Source0:        %{url}/-/archive/v%{version}/layer-shell-qt-v%{version}.tar.bz2

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  extra-cmake-modules

BuildRequires:  cmake(Qt5WaylandClient)
BuildRequires:  cmake(Qt5Qml)
BuildRequires:  qt5-qtbase-private-devel
%{?_qt5:Requires: %{_qt5}%{?_isa} = %{_qt5_version}}
BuildRequires:  qt5-qtbase-static

BuildRequires:  wayland-devel
BuildRequires:  wayland-protocols-devel
BuildRequires:  pkgconfig(xkbcommon)

%description
This component is meant for applications to be able to easily use clients
based on wlr-layer-shell.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Conflicts:      layer-shell-qt-devel

%description    devel
This package contains development files for %{name}.

%prep
%autosetup -p1 -n layer-shell-qt-v%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%files
%license LICENSES/*
%{_libdir}/libLayerShellQtInterface.so.5*
%{_qt5_plugindir}/wayland-shell-integration/

%files devel
%{_includedir}/LayerShellQt/
%{_libdir}/libLayerShellQtInterface.so
%{_libdir}/cmake/LayerShellQt/

%changelog
%autochangelog
